Releases lock acquired by EventBuffer::lock

- « EventBuffer::unfreeze

- EventBuffer::write »

- PHP Manual
- EventBuffer
- Releases lock acquired by EventBuffer::lock

# EventBuffer::unlock

(PECL event >= 1.2.6-beta)

EventBuffer::unlock — Releases lock acquired by EventBuffer::lock

### Description

public EventBuffer::unlock(): bool

Releases lock acquired by EventBuffer::lock().

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- EventBuffer::lock() - Acquires a lock on buffer